Create an exception list item
- Base URL
-
https://{kibana_url}
- POST /api/exception_lists/items
- POST /s/{space_id}/api/exception_lists/items
Refer to Spaces for more information.
Create an exception item and associate it with the specified exception list.
Before creating exception items, you must create an exception list.
Request body
Exception list item's properties
-
item_idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namespace_type -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
-
Values:
agnosticsingle
Responses
Successful response
-
commentsobjectrequired -
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
-
Values:
agnosticsingle
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list item already exists response